// src/schedulables_tree_widget.cc - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "schedulables_tree_widget.hh"

using namespace sgpem;
using namespace Gtk;
using namespace Glib;

SchedulablesTreeWidget::SchedulablesTreeWidget()
{
  _columns.add(_column);
  _model = TreeStore::create(_columns);
  
  set_model(_model);
  
  Gtk::TreeModel::Row row1 = *(_model->append());
  row1[_column] = ustring("ciccio");

  Gtk::TreeModel::Row row2 = *(_model->append());
  row2[_column] = ustring("pippo");

  append_column("schedulables", _column);
  set_headers_visible(false);
}


SchedulablesTreeWidget::~SchedulablesTreeWidget()
{}

void
SchedulablesTreeWidget::update(const History& history)
{
}
